Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfClassType

    java.lang.Object
      java.lang.Enum<OdfClassType>
          org.odftoolkit.odfdom.dom.type.chart.OdfClassType

All Implemented Interfaces:
  Serializable, Comparable<OdfClassType>

    public enum OdfClassType

extends Enum<OdfClassType>

DOM implementation of OpenDocument attribute chart:class.

Enum Constant Summary
`MAJOR`
`MINOR`

Method Summary
`static OdfClassType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfClassType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfClassType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfClassType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MAJOR

    public static final OdfClassType MAJOR

### MINOR

    public static final OdfClassType MINOR

Method Detail

### values

    public static OdfClassType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfClassType c : OdfClassType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfClassType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfClassType>`
  Returns:
    return the name of OdfClassType

### toString

    public static String toString(OdfClassType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfClassType, see chart:class
  Returns:
    return the name of OdfClassType

### enumValueOf

    public static OdfClassType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfClassType
  Returns:
    return the constant of OdfClassType, see chart:class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.